> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Prompts



## OpenAPI

````yaml /openapi.json get /v1/prompts
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/prompts:
    get:
      tags:
        - Prompts
      summary: List Prompts
      operationId: prompts_list
      parameters:
        - name: topic_id
          in: query
          required: false
          schema:
            type: string
            title: Topic Id
        - name: status
          in: query
          required: false
          schema:
            enum:
              - active
              - inactive
              - archived
            type: string
            description: Filter prompts by lifecycle status.
            title: Status
          description: Filter prompts by lifecycle status.
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPromptsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    ListPromptsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PublicPrompt'
          type: array
          title: Data
        count:
          type: integer
          title: Count
      type: object
      required:
        - data
        - count
      title: ListPromptsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicPrompt:
      properties:
        id:
          type: string
          title: Id
        topic_id:
          type: string
          title: Topic Id
        text:
          type: string
          title: Text
        language_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Language Id
        region_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Region Id
        status:
          type: string
          enum:
            - active
            - inactive
            - archived
          title: Status
        topic:
          anyOf:
            - $ref: '#/components/schemas/PublicPromptTopic'
            - type: 'null'
        platforms:
          items:
            $ref: '#/components/schemas/PublicPromptPlatform'
          type: array
          title: Platforms
        tags:
          items:
            $ref: '#/components/schemas/PublicPromptTag'
          type: array
          title: Tags
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - topic_id
        - text
        - status
      title: PublicPrompt
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PublicPromptTopic:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
      title: PublicPromptTopic
    PublicPromptPlatform:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: PublicPromptPlatform
    PublicPromptTag:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
      title: PublicPromptTag
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````